BizKitHub
DocsAPI ReferenceLedger/bff/ledger/vat/file
postLedgerAdmin BFF

/bff/ledger/vat/file

Mark a VAT filing draft as filed (books the VAT clearing for DP3 and locks the period)

LedgerpostBffLedgerVatFile

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired
Length: 24–24
filedOnstring | nullOptional
One of 2:
Variant 1
string
Example2027-03-20
Variant 2
null
referencestring | nullOptional
One of 2:
Variant 1
string
Length: 0–100
Variant 2
null
skipClearingbooleanOptional
lockPeriodbooleanOptional

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/vat/file

post
curl -X POST "https://api.bizkithub.com/bff/ledger/vat/file" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "skipClearing": false,
  "lockPeriod": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key